public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: bgrech <bgrech@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: Add support for rpm-ostree as a package manager for installDeps
Date: Fri, 11 Sep 2026 13:21:21 GMT	[thread overview]
Message-ID: <178913288173.1.5250371002731723369.tests-selinux-4119cf83ed14@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 4119cf83ed14066a06f3df15af08d8d425df7773
Author : bgrech <bgrech@redhat.com>
Date   : 2024-02-07T16:01:30+00:00
Stats  : +8/-2 in 1 file(s)
URL    : https://src.fedoraproject.org/tests/selinux/c/4119cf83ed14066a06f3df15af08d8d425df7773?branch=pr775-checkpolicy-revdeps

Log:
Add support for rpm-ostree as a package manager for installDeps

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index a940018..b5f6cc9 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -94,7 +94,13 @@ function installDepsYum() {
 }
 
 function installDeps() {
-    if type yum >/dev/null; then
+    if [ -e /run/ostree-booted ]; then
+        for item in "$@"; do
+            if ! rpm -q --quiet --whatprovides "$item"; then
+                rpm-ostree --apply-live -y install "$item"
+            fi
+        done
+    elif type yum >/dev/null; then
         installDepsYum yum "$@"
     elif type dnf >/dev/null; then
         installDepsYum dnf "$@"
@@ -186,7 +192,7 @@ rlJournalStart
         rlRun "installDeps \$REQUIRES" 0 "Install requires"
 
         # The CRB repo with libbpf-devel might not be enabled on RHEL
-        if rlIsRHEL '>=8'; then
+        if rlIsRHEL '>=8' && ! [ -e /run/ostree-booted ]; then
             for repo in "rhel-CRB" "beaker-CRB"; do
                 rpm -q libbpf-devel &>/dev/null && break
                 rlRun "dnf install --enablerepo $repo -y libbpf-devel" 0-255

                 reply	other threads:[~2026-09-11 13:21 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913288173.1.5250371002731723369.tests-selinux-4119cf83ed14@fedoraproject.org \
    --to=bgrech@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox